
<?php 
session_start();
if(!isset($_SESSION['idUsuario'])){
	header("location:../");
}
include_once '../conexao/index.php';

error_reporting(E_ALL);

$_SESSION['idUsuario'] = $_SESSION['idUsuario'];
$_SESSION['nomeUsuario'] = $_SESSION['nomeUsuario'];
$_SESSION['categoriaUsuario'] = $_SESSION['categoriaUsuario']; 
/*Variaveis do Sistema*/
/*********************************************/
// echo $_SESSION['idUsuario']." - ".$_SESSION['nomeUsuario']."- ".$_SESSION['categoriaUsuario'];

$caixa = "Aberto";
	if (isset($_GET['id_artigo'])) {
		$iddd = $_GET['id_artigo'];
		$sqlBox = "DELETE FROM ordem_compra_artigos_temp WHERE id = '$iddd' AND user = '".$_SESSION['idUsuario']."'";
		$rsBox = mysqli_query($db, $sqlBox);
		if ($rsBox > 0) {
			header("location: ordem_compra.php");
		}
	}

	if (isset($_GET['apagar'])) {
		$sqlBox = "DELETE FROM ordem_compra_artigos_temp WHERE user = '".$_SESSION['idUsuario']."'";
		$rsBox = mysqli_query($db, $sqlBox);
		if ($rsBox > 0) {
			header("location: ordem_compra.php");
		}
	}
?>

<!DOCTYPE html>
<html>
<head>
	<title>iVone</title>
	<meta charset="utf-8">
	<meta name="viewport" content="width-device-width, initial-scale=1">
	<link rel="shorcut icon"  href="../img/config/5087847.png">
	<link rel="stylesheet" type="text/css" href="css/cotacao.css">
	<link rel="stylesheet" type="text/css" href="../font-awesome/css/font-awesome.css">
	<link rel="stylesheet" type="text/css" href="../font-awesome/css/font-awesome.min.css">
	<link rel="stylesheet" type="text/css" href="../css/jquery-ui.min.css"> 
	<link rel="stylesheet" type="text/css" href="../css/select2.min.css">
	<link rel="stylesheet" type="text/css" href="../css/jquery-ui.css">
	<script type="text/javascript" src="../js/jquery-3.3.1.min.js"></script>
	<script type="text/javascript" src="../js/jquery-ui.min.js"></script>
	<script type="text/javascript" src="../js/select2.min.js"></script>
	<script type="text/javascript" src="../js/jquery-ui.js"></script>
	<link href="datatables.min.css" rel="stylesheet"/>
	<script src="datatables.min.js"></script>
	<style type="text/css">
		#example tbody tr{
			transition: all 0.3s ease-in-out;
		}
		#example tbody tr:hover{
			background: #ccc;
			cursor: pointer;
		}
		.principal .direita .rodapeDireita .div2{
			margin-top: 5px;
			display: flex;
			flex-direction: row;
			justify-content: flex-end;
		}
		.principal .direita .rodapeDireita .div2 a{
			padding: 5px 10px;
			color: #fff;
			cursor: pointer;
		}
		.principal .direita .rodapeDireita .div2 a:nth-child(1){
			background-color: #F43248;
		}
		.principal .direita .rodapeDireita .div2 a:nth-child(2){
			background-color: #EB7D08;
			margin-left: 10px;
		}
		.principal .direita .rodapeDireita .div1 .right input{
			width: 35%;
			padding: 8px;
			border: 1px solid #ccc;
		}
		form p{
			color: #fff;
		}
		.principal .direita .conteudoDireita table tr:nth-child(even){
			background-color: none;
		}
	</style>
</head>
<body>
<div class="principal">
	<div class="esquerda">
		<div class="cabecalhoEsquerda">
			<h4 class="operador">Operador: <?php echo $_SESSION['nomeUsuario']; ?></h4>
			<p class="relogio">
				<?php 
					$data_hora = date("Y-m-d H:i:s");
					echo $data_hora;
				?>
			</p>
			<a style="margin-left: 5px;" href="factura.php"><i class="fa fa-refresh" aria-hidden="true"></i></a>
		</div>
		<div class="conteudoEsquerda" style="padding: 15px;overflow-y: scroll;background: #fff;">
			<style type="text/css">
				.artigoc, .qtd, .preco{
					padding: 5px 10px;
				}
			</style>
			<p></p>
			<form style="margin-bottom: 15px;">
				<input type="text" class="artigoc" placeholder="Artigo" style="width: 48%;">
				<input type="number" class="qtd" placeholder="Qtd" style="width: 10%;">
				<input type="number" class="preco" placeholder="Preco" style="width: 15%;">
				<input type="button" class="enviar" value="Adicionar artigo" style="padding: 5px;">
			</form>
				<table id="example" style="height: 65vh;">
					<thead>
						<td>#</td>
						<td>Descricao do artigo</td>
						<td>Qtd</td>
						<td>Preco</td>
						<td>Total</td>
						<td>Apagar</td>
					</thead>
					<tbody>
						
					</tbody>
				</table>
		</div>
	</div>
	<div class="direita">
		<div class="cabecalhoDireita">
			<a class="fecharSistema"><i class="fa fa-arrow-left" aria-hidden="true"></i></i> Sair</a>
			<a href="dash.php" style="margin-left: 10px;"><i class="fa fa-arrow-left" aria-hidden="true"></i></i> Dashboard</a>
			<h3 class="vnd">OC: 
				<?php 
					$sql = "SELECT MAX(id) as idp FROM ordem_compra";
					$rs = mysqli_query($db, $sql);
					while ($dados = mysqli_fetch_array($rs)) {
						$f = $dados['idp'] + 1;
				?>
					<input type="number" name="" value="<?php echo $f; ?>" size="2" style="padding: 5px 2px;width: 30%;text-align: right;" max="<?php echo $f; ?>" min="1">
				<?php } ?>
			</h3>
		</div>
		<div class="conteudoDireita">
			<form>
					<p>Fornecedor</p>
					<select class="cliente" id="forneca">
							<option>Selecione o cliente</option>
							<?php 
								$sql = "SELECT * FROM fornecedor ORDER BY id DESC";
								$rs = mysqli_query($db, $sql);
								while ($dados = mysqli_fetch_array($rs)) {
							?>
								<option value="<?php echo $dados['id']; ?>"><?php echo $dados['nome']; ?></option>
							<?php } ?>
					</select>
			</form>
			<form>
					<p>Validade</p>
					<input type="date" id="prazo" >
			</form>
			<form>
					<p>Modo de Pagamento</p>
					<select id="modo">
						<option value="0">Selecione o modo de pagamento</option>
						<option value="Cheque">Cheque</option>
						<option value="Numerario">Numerario</option>
						<option value="Outros">Outros</option>
					</select>
			</form>
			<form>
					<input type="number" class="valor">
			</form>
		</div>
		
		<div class="rodapeDireita">
			<div class="div1">
				<div class="left">
						<h2 style="color: #fff;">
							Total: <span id="totls" ></span> Mt
						</h2>
				</div>
				<div class="right">

				</div>
			</div>
			<div class="div2">
					<a href="?apagar=true"><i class="fa fa-lock" aria-hidden="true"></i> Cancelar</a>
					<a class="processar"><i class="fa fa-lock" aria-hidden="true"></i> Processar</a>
			</div>
		</div>
	</div>
</div>

	<script type="text/javascript" src="../js/data-table-act.js"></script>
	<script type="text/javascript" src="../js/jquery.dataTables.min.js"></script>
	<script type="text/javascript" src="../js/funcoes.js"></script>
	<script type="text/javascript" src="../js/configuracoes.js"></script>
	<script type="text/javascript">
		$(function() {
			$('.cliente').select2();			

			setInterval(lg, 1000);

			function lg(){
				$.ajax({
						url: 'relogio.php',
						type: 'GET',
						success: function(data) {
							$(".relogio").html(data);
						},
						error: function() {
							$(".relogio").html("Ocorreu um erro ao popular a hora!");
						}
				});
			}
			$(".enviar").on('click', function() {
				$.ajax({
					url: 'addTempArtigosOrdemCompra.php',
					type: 'POST',
					data: {
						artigo: $(".artigoc").val(),
						qtd: $(".qtd").val(),
						preco: $(".preco").val()
					},
					success: function(data) {
						if (data == 2) {
							popularArtigosTemp();
							totls();
							$(".artigoc").val("");
							$(".qtd").val("");
							$(".preco").val("");
						}else if (data == 1) {
							alert("Ocorreu um erro ao adicionar o produto!");
						}
						
					},
					error: function() {
						alert("Ocorreu um erro ao registrar o artigo!")
					}
				});
			});
			popularArtigosTemp();
			totls();
			function popularArtigosTemp() {
				$.ajax({
					url: 'popularArtigosTempOrdem.php',
					type: 'GET',
					success: function(data) {
						$("tbody").html(data);
						contentEditable();
					}
				});
			}

			function totls() {
				$.ajax({
					url: 'totlsOrdem.php',
					type: 'GET',
					success: function(data) {
						$("#totls").html(data);
						$(".valor").val(data);
					}
				});
			}

			$(".processar").on('click', function() {
				$.ajax({
					url: 'criarOrdem.php',
					type: 'POST',
					data: {
						forneca: $("#forneca").val(),
						modo: $("#modo").val(),
						prazo: $("#prazo").val(),
						valor: $(".valor").val()
					},
					success: function(data) {
						if (data == 2) {
							alert("Ocorreu um erro ao inserir a ordem de compra!")
						}else{
							window.open("oc.php?id_oc="+data+"");
							location.reload();
						}
						
					}
				});
			});

			$('#example').DataTable();
		});
	</script>
</body>
</html>